Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
client.dataframer.specs.delete(
spec_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)curl https://df-api.dataframer.ai/api/dataframer/specs/$SPEC_ID/ \
-X DELETE \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"Specs (data blueprints)
Delete spec
Delete a spec by ID
DELETE
/
api
/
dataframer
/
specs
/
{spec_id}
/
Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
client.dataframer.specs.delete(
spec_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)curl https://df-api.dataframer.ai/api/dataframer/specs/$SPEC_ID/ \
-X DELETE \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"Authorizations
API Key authentication. Format: "Bearer YOUR_API_KEY"
Path Parameters
UUID of the spec
Query Parameters
If true, delete the spec and all associated runs (including their generated files). If false or omitted, returns an error when runs exist.
Response
Spec deleted successfully

